Bug 32170 - FILEOPEN Opened DOCX-file is empty
Summary: FILEOPEN Opened DOCX-file is empty
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.3.0 RC1
Hardware: IA64 (Itanium) Windows (All)
: medium normal
Assignee: Cédric Bosdonnat
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-12-07 00:56 UTC by Jesper Lund Stocholm
Modified: 2013-11-23 13:17 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Document using content controls. (117.17 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2010-12-07 00:56 UTC, Jesper Lund Stocholm
Details
PDF-version of DOCX-file (283.84 KB, application/pdf)
2010-12-07 00:58 UTC, Jesper Lund Stocholm
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jesper Lund Stocholm 2010-12-07 00:56:22 UTC
Created attachment 40859 [details]
Document using content controls.

When opening the attached DOCX-file in LibreOffice, all content is gone and the document is completely blank.
Comment 1 Jesper Lund Stocholm 2010-12-07 00:58:14 UTC
Created attachment 40860 [details]
PDF-version of DOCX-file
Comment 2 Cédric Bosdonnat 2010-12-08 06:57:34 UTC
The <w:sdt> elements weren't handled at all at the moment. This is fixed by the commit:

http://cgit.freedesktop.org/libreoffice/filters/commit/?id=d7dac34c56c30485a11d5629f91baa90ac242935

There are still some missing elements and the fields parts aren't handled yet... but there are some progresses.
Comment 3 Cédric Bosdonnat 2010-12-08 07:06:59 UTC
CT_SdtRun elements are now in too... the document looks more complete now.

http://cgit.freedesktop.org/libreoffice/filters/commit/?id=8d55625c0734866ce3620d1c8469425cacb6e8f9
Comment 4 Cédric Bosdonnat 2010-12-08 08:46:20 UTC
Imported the document paragraph and character default properties:

http://cgit.freedesktop.org/libreoffice/filters/commit/?id=a8dd8fada6f3adf1182e3011ce8c68288e4c8386

I will close this issue as the document is now looking OK. It would be nice to file another follow-up bug only for the sdt fields import... but that'll need much more work.
Comment 5 sophie 2011-01-13 00:45:26 UTC
Cédric, checking the document with RC2, it appears empty, both for Laurent and me. So something should be still missing. I'm reopening the bug. Sophie
Comment 6 sophie 2011-01-14 02:50:52 UTC
Cédric, also tested with RC3 and document show only empty sections. Sophie
Comment 7 Cédric Bosdonnat 2011-01-14 04:01:44 UTC
(In reply to comment #5)
> Cédric, checking the document with RC2, it appears empty, both for Laurent and
> me. So something should be still missing. I'm reopening the bug. Sophie

Well... the patches have been pushed to the master branch... then not for 3.3. Would this require backporting to 3.3.1 ?
Comment 8 Cédric Bosdonnat 2011-03-30 06:18:21 UTC
sophie, could you check again with a master build?
Comment 9 Rainer Bielefeld Retired 2011-12-13 10:50:07 UTC
"PDF-version of DOCX-file" shows how I see the document in MS WORD Viewer.
"DR-10-0048_ExportFromLibO344.pdf" shows how it looks in "LibreOffice 3.4.4  - WIN7 Home Premium (64bit) English UI [Build ID: OOO340m1 (Build:402)]"

Looks fine for me with parallel installation of MinGW Master "LibO-dev 3.5.0 Beta 1 – WIN7 Home Premium (64bit) English UI (Build ID: 8935521-b204871-3e50423-4c1bcb5) (daily/Win-x86@7-MinGW/master/2011-12-13_03.17.52)"
So Closed